Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop.advice
Class AdviceFactory

    java.lang.Object
      org.jboss.aop.advice.AdviceFactory

All Implemented Interfaces:
  InterceptorFactory

Direct Known Subclasses:
  AfterFactory, BeforeFactory, ThrowingFactory

public class AdviceFactory
extends Object
implements InterceptorFactory

Comment

Version:
  $Revision: 1.11 $
Author:
  Bill Burke

Constructor Summary
`AdviceFactory(AspectDefinition aspect, String adviceName)`

Method Summary
`Interceptor` | `create(Advisor advisor, Joinpoint joinpoint)`
`boolean` | `equals(Object obj)`
`String` | `getAdvice()`
`AspectDefinition` | `getAspect()`
`String` | `getName()`
`boolean` | `isDeployed()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdviceFactory

    public AdviceFactory(AspectDefinition aspect,
                         String adviceName)

Method Detail

### getAspect

    public AspectDefinition getAspect()

  Specified by:
    `getAspect` in interface `InterceptorFactory`

### getAdvice

    public String getAdvice()

  Specified by:
    `getAdvice` in interface `InterceptorFactory`

### isDeployed

    public boolean isDeployed()

  Specified by:
    `isDeployed` in interface `InterceptorFactory`

### create

    public Interceptor create(Advisor advisor,
                              Joinpoint joinpoint)

  Specified by:
    `create` in interface `InterceptorFactory`

### getName

    public String getName()

  Specified by:
    `getName` in interface `InterceptorFactory`

### equals

    public boolean equals(Object obj)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.